Package twisted :: Package internet :: Module interfaces :: Class IListeningPort

[frames | no frames]

## Class IListeningPort

    Interface --+
                |
               IListeningPort

A listening port.

Method Summary
| ``getHost`(self)` Get the host that this port is listening for.
| ``startListening`(self)` Start listening on this port.
| ``stopListening`(self)` Stop listening on this port.

Method Details

### getHost(self)

Get the host that this port is listening for.

  Returns:
    a IAddress.

### startListening(self)

Start listening on this port.

  Raises:
    `CannotListenError` - as defined here `twisted.internet.error.CannotListenError`, if it cannot listen on this port (e.g., it is a TCP port and it cannot bind to the required port number)

### stopListening(self)

Stop listening on this port.

If it does not complete immediately, will return Deferred that fires upon completion.

Generated by Epydoc 2.0 on Sat May 15 20:08:44 2004 | http://epydoc.sf.net